VOP_PATHCONF(9)

NAME
VOP_PATHCONF - return POSIX pathconf information

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
#include <sys/unistd.h>
int
VOP_PATHCONF(struct vnode *vp, int name, int *retval);

DESCRIPTION

The arguments are:

vp  the vnode to get information about

name
    the type of information to return

retval
    the place to return the information

The value of name specifies what should be returned:

_PC_LINK_MAX
    The maximum number of links to a file.

_PC_NAME_MAX
    The maximum number of bytes in a file name.

_PC_PATH_MAX
    The maximum number of bytes in a pathname.

_PC_PIPE_BUF
    The maximum number of bytes which will be written atomically to a pipe.

_PC_CHOWN_RESTRICTED
    Return 1 if appropriate privileges are required for the chown(2) system call, otherwise 0.

_PC_NO_TRUNC
    Return 1 if file names longer than KERN_NAME_MAX are truncated.

RETURN VALUES
If name is recognized, *retval is set to the specified value and zero is returned, otherwise EINVAL is returned.

SEE ALSO
vnode(9), pathconf(2)

AUTHORS
This man page was written by Doug Rabson.